Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.ddl.dialect.derby
Class DerbyDdlLexicon

    java.lang.Object
      org.modeshape.sequencer.ddl.StandardDdlLexicon
          org.modeshape.sequencer.ddl.dialect.derby.DerbyDdlLexicon

    public class DerbyDdlLexicon

extends StandardDdlLexicon

Nested Class Summary
`static class` | `DerbyDdlLexicon.Namespace`

Field Summary
`static Name` | `GENERATED_COLUMN_SPEC_CLAUSE`
`static Name` | `IS_TABLE_TYPE`
`static Name` | `ORDER`
`static Name` | `PARAMETER_STYLE`
`static Name` | `ROLE_NAME`
`static Name` | `TABLE_NAME`
`static Name` | `TYPE_CREATE_FUNCTION_STATEMENT`
`static Name` | `TYPE_CREATE_INDEX_STATEMENT`
`static Name` | `TYPE_CREATE_PROCEDURE_STATEMENT`
`static Name` | `TYPE_CREATE_ROLE_STATEMENT`
`static Name` | `TYPE_CREATE_SYNONYM_STATEMENT`
`static Name` | `TYPE_CREATE_TRIGGER_STATEMENT`
`static Name` | `TYPE_DECLARE_GLOBAL_TEMPORARY_TABLE_STATEMENT`
`static Name` | `TYPE_DROP_FUNCTION_STATEMENT`
`static Name` | `TYPE_DROP_INDEX_STATEMENT`
`static Name` | `TYPE_DROP_PROCEDURE_STATEMENT`
`static Name` | `TYPE_DROP_ROLE_STATEMENT`
`static Name` | `TYPE_DROP_SYNONYM_STATEMENT`
`static Name` | `TYPE_DROP_TRIGGER_STATEMENT`
`static Name` | `TYPE_FUNCTION_PARAMETER`
`static Name` | `TYPE_GRANT_ON_FUNCTION_STATEMENT`
`static Name` | `TYPE_GRANT_ON_PROCEDURE_STATEMENT`
`static Name` | `TYPE_GRANT_ROLES_STATEMENT`
`static Name` | `TYPE_INDEX_COLUMN_REFERENCE`
`static Name` | `TYPE_LOCK_TABLE_STATEMENT`
`static Name` | `TYPE_RENAME_INDEX_STATEMENT`
`static Name` | `TYPE_RENAME_TABLE_STATEMENT`
`static Name` | `UNIQUE_INDEX`

Fields inherited from class org.modeshape.sequencer.ddl.StandardDdlLexicon
`ALL_PRIVILEGES, CHECK_SEARCH_CONDITION, COLLATION_CHARACTER_SET_NAME, COLLATION_NAME, COLLATION_SOURCE, COLUMN_ATTRIBUTE_TYPE, CONSTRAINT_ATTRIBUTE_TYPE, CONSTRAINT_TYPE, CREATE_VIEW_OPTION_CLAUSE, CREATE_VIEW_QUERY_EXPRESSION, DATATYPE_LENGTH, DATATYPE_NAME, DATATYPE_PRECISION, DATATYPE_SCALE, DDL_EXPRESSION, DDL_LENGTH, DDL_ORIGINAL_EXPRESSION, DDL_START_CHAR_INDEX, DDL_START_COLUMN_NUMBER, DDL_START_LINE_NUMBER, DEFAULT_ID_CURRENT_USER, DEFAULT_ID_DATETIME, DEFAULT_ID_LITERAL, DEFAULT_ID_NULL, DEFAULT_ID_SESSION_USER, DEFAULT_ID_SYSTEM_USER, DEFAULT_ID_USER, DEFAULT_OPTION, DEFAULT_PRECISION, DEFAULT_VALUE, DEFERRABLE, DROP_BEHAVIOR, DROP_OPTION_TYPE, EXISTING_NAME, GRANT_PRIVILEGE, GRANTEE, MESSAGE, NEW_NAME, NULLABLE, ON_COMMIT_VALUE, OPTION, PAD_ATTRIBUTE, PAD_ATTRIBUTE_NO_PAD, PAD_ATTRIBUTE_PAD, PARSER_ID, PROBLEM_LEVEL, PROPERTY_VALUE, SOURCE_CHARACTER_SET_NAME, SQL, STATEMENTS_CONTAINER, TARGET_CHARACTER_SET_NAME, TEMPORARY, TYPE, TYPE_ADD_COLUMN_DEFINITION, TYPE_ADD_TABLE_CONSTRAINT_DEFINITION, TYPE_ALTER_COLUMN_DEFINITION, TYPE_ALTER_DOMAIN_STATEMENT, TYPE_ALTER_TABLE_STATEMENT, TYPE_ALTERABLE, TYPE_ASSERTION_OPERAND, TYPE_CHARACTER_SET_OPERAND, TYPE_CLAUSE, TYPE_COLLATION_OPERAND, TYPE_COLUMN_DEFINITION, TYPE_COLUMN_OPERAND, TYPE_COLUMN_REFERENCE, TYPE_CREATE_ASSERTION_STATEMENT, TYPE_CREATE_CHARACTER_SET_STATEMENT, TYPE_CREATE_COLLATION_STATEMENT, TYPE_CREATE_DOMAIN_STATEMENT, TYPE_CREATE_SCHEMA_STATEMENT, TYPE_CREATE_TABLE_STATEMENT, TYPE_CREATE_TRANSLATION_STATEMENT, TYPE_CREATE_VIEW_STATEMENT, TYPE_CREATEABLE, TYPE_DOMAIN_CONSTRAINT, TYPE_DOMAIN_OPERAND, TYPE_DROP_ASSERTION_STATEMENT, TYPE_DROP_CHARACTER_SET_STATEMENT, TYPE_DROP_COLLATION_STATEMENT, TYPE_DROP_COLUMN_DEFINITION, TYPE_DROP_DOMAIN_STATEMENT, TYPE_DROP_SCHEMA_STATEMENT, TYPE_DROP_TABLE_CONSTRAINT_DEFINITION, TYPE_DROP_TABLE_STATEMENT, TYPE_DROP_TRANSLATION_STATEMENT, TYPE_DROP_VIEW_STATEMENT, TYPE_DROPPABLE, TYPE_FK_COLUMN_REFERENCE, TYPE_GRANT_ON_CHARACTER_SET_STATEMENT, TYPE_GRANT_ON_COLLATION_STATEMENT, TYPE_GRANT_ON_DOMAIN_STATEMENT, TYPE_GRANT_ON_TABLE_STATEMENT, TYPE_GRANT_ON_TRANSLATION_STATEMENT, TYPE_GRANT_STATEMENT, TYPE_GRANTABLE, TYPE_INSERT_STATEMENT, TYPE_INSERTABLE, TYPE_MISSING_TERMINATOR, TYPE_OPERAND, TYPE_OPERATION, TYPE_PROBLEM, TYPE_REFERENCE_OPERAND, TYPE_REVOKABLE, TYPE_REVOKE_ON_CHARACTER_SET_STATEMENT, TYPE_REVOKE_ON_COLLATION_STATEMENT, TYPE_REVOKE_ON_DOMAIN_STATEMENT, TYPE_REVOKE_ON_TABLE_STATEMENT, TYPE_REVOKE_ON_TRANSLATION_STATEMENT, TYPE_REVOKE_STATEMENT, TYPE_SCHEMA_OPERAND, TYPE_SET_STATEMENT, TYPE_SETTABLE, TYPE_SIMPLE_PROPERTY, TYPE_STATEMENT, TYPE_STATEMENT_OPTION, TYPE_TABLE_CONSTRAINT, TYPE_TABLE_CONSTRAINT_OPERAND, TYPE_TABLE_OPERAND, TYPE_TABLE_REFERENCE, TYPE_TRANSLATION_OPERAND, TYPE_UNKNOWN_STATEMENT, TYPE_VIEW_OPERAND, VALUE, WITH_GRANT_OPTION`

Constructor Summary
`DerbyDdlLexicon()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_CREATE_FUNCTION_STATEMENT

    public static final Name TYPE_CREATE_FUNCTION_STATEMENT

### TYPE_CREATE_INDEX_STATEMENT

    public static final Name TYPE_CREATE_INDEX_STATEMENT

### TYPE_CREATE_PROCEDURE_STATEMENT

    public static final Name TYPE_CREATE_PROCEDURE_STATEMENT

### TYPE_CREATE_ROLE_STATEMENT

    public static final Name TYPE_CREATE_ROLE_STATEMENT

### TYPE_CREATE_SYNONYM_STATEMENT

    public static final Name TYPE_CREATE_SYNONYM_STATEMENT

### TYPE_CREATE_TRIGGER_STATEMENT

    public static final Name TYPE_CREATE_TRIGGER_STATEMENT

### TYPE_LOCK_TABLE_STATEMENT

    public static final Name TYPE_LOCK_TABLE_STATEMENT

### TYPE_RENAME_TABLE_STATEMENT

    public static final Name TYPE_RENAME_TABLE_STATEMENT

### TYPE_RENAME_INDEX_STATEMENT

    public static final Name TYPE_RENAME_INDEX_STATEMENT

### TYPE_DECLARE_GLOBAL_TEMPORARY_TABLE_STATEMENT

    public static final Name TYPE_DECLARE_GLOBAL_TEMPORARY_TABLE_STATEMENT

### TYPE_DROP_FUNCTION_STATEMENT

    public static final Name TYPE_DROP_FUNCTION_STATEMENT

### TYPE_DROP_INDEX_STATEMENT

    public static final Name TYPE_DROP_INDEX_STATEMENT

### TYPE_DROP_PROCEDURE_STATEMENT

    public static final Name TYPE_DROP_PROCEDURE_STATEMENT

### TYPE_DROP_ROLE_STATEMENT

    public static final Name TYPE_DROP_ROLE_STATEMENT

### TYPE_DROP_SYNONYM_STATEMENT

    public static final Name TYPE_DROP_SYNONYM_STATEMENT

### TYPE_DROP_TRIGGER_STATEMENT

    public static final Name TYPE_DROP_TRIGGER_STATEMENT

### TYPE_FUNCTION_PARAMETER

    public static final Name TYPE_FUNCTION_PARAMETER

### TYPE_INDEX_COLUMN_REFERENCE

    public static final Name TYPE_INDEX_COLUMN_REFERENCE

### TYPE_GRANT_ON_FUNCTION_STATEMENT

    public static final Name TYPE_GRANT_ON_FUNCTION_STATEMENT

### TYPE_GRANT_ON_PROCEDURE_STATEMENT

    public static final Name TYPE_GRANT_ON_PROCEDURE_STATEMENT

### TYPE_GRANT_ROLES_STATEMENT

    public static final Name TYPE_GRANT_ROLES_STATEMENT

### UNIQUE_INDEX

    public static final Name UNIQUE_INDEX

### ORDER

    public static final Name ORDER

### TABLE_NAME

    public static final Name TABLE_NAME

### ROLE_NAME

    public static final Name ROLE_NAME

### GENERATED_COLUMN_SPEC_CLAUSE

    public static final Name GENERATED_COLUMN_SPEC_CLAUSE

### IS_TABLE_TYPE

    public static final Name IS_TABLE_TYPE

### PARAMETER_STYLE

    public static final Name PARAMETER_STYLE

Constructor Detail

### DerbyDdlLexicon

    public DerbyDdlLexicon()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.